Bug 217237 - net-mgmt/seafile-server: Updated to 6.0.8
Summary: net-mgmt/seafile-server: Updated to 6.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL: https://seacloud.cc/group/3/wiki/serv...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-02-19 19:42 UTC by Ultima
Modified: 2017-03-02 18:39 UTC (History)
2 users (show)

See Also:


Attachments
seafile-server.diff (1.62 KB, patch)
2017-02-19 19:42 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-server.diff (1.62 KB, patch)
2017-02-19 19:43 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2017-02-19 19:42:25 UTC
Created attachment 180151 [details]
seafile-server.diff

This is an update to seafile-server to the latest version, 6.0.8.

* Updated to 6.0.8

 - changelog: https://seacloud.cc/group/3/wiki/server-changelog



portlint -AC:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.


poudriere bulk -tC:
 12amd64: success https://poudriere.ultimasbox.com/data/12amd64-test/2017-02-19_14h32m37s/logs/seafile-server-6.0.8.log
 12i386: success https://poudriere.ultimasbox.com/data/12i386-test/2017-02-19_14h32m38s/logs/seafile-server-6.0.8.log
 110amd64: success https://poudriere.ultimasbox.com/data/110amd64-test/2017-02-19_14h32m34s/logs/seafile-server-6.0.8.log
 110i386: success https://poudriere.ultimasbox.com/data/110i386-test/2017-02-19_14h32m35s/logs/seafile-server-6.0.8.log
 103amd64: success https://poudriere.ultimasbox.com/data/103amd64-test/2017-02-19_14h32m32s/logs/seafile-server-6.0.8.log
 103i386: success https://poudriere.ultimasbox.com/data/103i386-test/2017-02-19_14h32m33s/logs/seafile-server-6.0.8.log
Comment 1 Ultima 2017-02-19 19:43:44 UTC
Created attachment 180152 [details]
seafile-server.diff

Added old diff file, this is the correct patch.
Comment 2 Nikolai Lifanov freebsd_committer 2017-02-19 19:44:48 UTC
This removes libseafile library. Is this OK?
Comment 3 Nikolai Lifanov freebsd_committer 2017-02-19 19:45:34 UTC
Also, can I change the symlink to a relative one on this submission as well?
Comment 4 Nikolai Lifanov freebsd_committer 2017-02-19 19:46:54 UTC
The loss of libseafile seems wrong since the port still installs a ".pc" file.
Comment 5 Ultima 2017-02-19 20:00:33 UTC
(In reply to Nikolai Lifanov from comment #2 && #4)
Yeah the devs probably forgot to remove the .pc file, they seem to always miss additional components during cleanup. Not entirely sure why it was removed.

https://github.com/haiwen/seafile-server/commit/6f70a910e11a289719669bb35f65961942007860

I requested about a month or so ago to make the *-server and *-client not conflict, I was hoping this was a step in that direction.


(In reply to Nikolai Lifanov from comment #3)
Yeah




Should I add reinplace to remove the .pc file?
Comment 6 Nikolai Lifanov freebsd_committer 2017-02-19 21:09:21 UTC
You can do either this, or just ${RM} it in one of the phases.
There are 3 components that don't make sense without each other (kind-of):
headers, libraries, and the .pc file. I saw that two headers are gone, but one is still there?

Since you are the maintainer, it's your call what to do. I can commit this as-is and you can report to upstream that this is weird and get clarification for how to distribute the next version.
Comment 7 Nikolai Lifanov freebsd_committer 2017-02-27 14:07:35 UTC
Hi! Can you clarify whether you would like me to commit this as-is now?
Comment 8 Ultima 2017-02-27 16:55:20 UTC
(In reply to Nikolai Lifanov from comment #7)
Have addressed it upstream to be fixed. Sorry, this pr slipped my mind it should be good to commit.
Comment 9 commit-hook freebsd_committer 2017-03-02 18:38:14 UTC
A commit references this bug:

Author: lifanov
Date: Thu Mar  2 18:37:41 UTC 2017
New revision: 435293
URL: https://svnweb.freebsd.org/changeset/ports/435293

Log:
  update net-mgmt/seafile-server to 6.0.8

   Changelog: https://seacloud.cc/group/3/wiki/server-changelog

  PR:		217237
  Submitted by:	ultima1252@gmail.com (maintainer)

Changes:
  head/net-mgmt/seafile-server/Makefile
  head/net-mgmt/seafile-server/distinfo
  head/net-mgmt/seafile-server/pkg-plist
Comment 10 Nikolai Lifanov freebsd_committer 2017-03-02 18:39:26 UTC
Committed with changes, thanks!

I removed PORTREVISION since PORTVERSION just got bumped and changed absolute symlinks to relative.

Sorry for the additional delay: my build box was malfunctioning.